This queue is for tickets about the CPAN CPAN distribution.

Report information
The Basics
Id:
57482
Status:
resolved
Priority:
Low/Low
Queue:

People
Owner:
Nobody in particular
Requestors:
whatson [...] gmail.com
Cc:
AdminCc:

BugTracker
Severity:
(no value)
Broken in:
1.9402
Fixed in:
(no value)



Subject: CPAN incorrectly removing package dependancy
This is an issue with the "build_requires_install_policy" CPAN option (set to "ask/no" in my configuration) and is exposed by the installation of Devel::Declare 0.006000. The Makefile.PL for Devel::Declare specifies: requires 'B::Hooks::OP::Check' => '0.18'; build_requires 'B::Hooks::OP::Check' => '0.18'; configure_requires 'B::Hooks::OP::Check' => '0.18'; CPAN detects this as a build dependancy and offers to remove it after the build process, despite the fact that it is a runtime dependancy (see installation log attached).
Subject: install.log

Message body not shown because it is not plain text.

Seems to be resolved in 1.94_57 which I just uploaded a few seconds ago. Thanks for the report!


This service runs on Request Tracker, is sponsored by The Perl Foundation, and maintained by Best Practical Solutions.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.